html {
  font-size: 62.5%;
}

:root {
  --text-white: #fff;
  --bg-grey: #edeced;
  --bg-yellow: #ffdd00;
  --bg-light-green: #e9f4e0;
  --bg-horse: #dcebf8;
  --default-padding: 1.7rem;
  --default-gap: 1.7rem;
}

.text__h1 {
  font-size: 5.8rem;
}

.text__h2 {
  font-size: 3.2rem;
}

.text__h3 {
  font-size: 1.7rem;
}

.text__13 {
  font-size: 1.3rem;
}

.text__17 {
  font-size: 1.7rem;
}

.text__18 {
  font-size: 1.8rem;
}

.text__81 {
  font-size: 8.1rem;
  font-weight: bold;
}

.text__book {
  font-family: var(--main-font);
  font-weight: normal;
}

.text__bold {
  font-weight: bold;
}

img {
  max-width: 100%;
  max-height: 100%;
  object-fit: cover;
}
.support-your-app-logo > a {
  width: 160px;
  display: block;
}
/* .button {
  display: inline-block;
  text-decoration: none;
  text-transform: uppercase;
  border: 2px solid;
  padding: 7px 14px 4px;
  cursor: pointer;
  border-radius: 4px;
  position: relative;
  transform: translateZ(1px);
  transform-style: preserve-3d;
  transform: translateZ(100px);
  transition: all 0.3s ease;
  font-family: var(--main-font);
  font-weight: bold;
} */

.b-black {
  color: black;
  border-color: black;
}

.b-yellow {
  color: #000;
  border-color: #000;
}

/* .b-black::before,
.b-blue::before,
.b-yellow::before,
.b-yellow::after,
.b-blue-filled::after,
.b-black-filled::after,
.b-blue-filled::before,
.b-black-filled::before,
.b-white::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 0%;
  border-bottom-left-radius: 100%;
  border-bottom-right-radius: 100%;
  transition: all 0.3s ease;
  background-color: #000;
  top: 0%;
  left: 0;
  transform: translateZ(-1px);
  z-index: 0;
  cursor: pointer;
  transform: translateZ(-1px);
  z-index: -1;
} */

.b-yellow::after,
.b-yellow.b-input {
  background-color: #ffde00;
}

.b-black:not(.b-input):hover::before,
.b-blue:not(.b-input):hover::before,
.b-yellow:not(.b-input):hover::before,
.b-blue-filled:not(.b-input):hover::before,
.b-black-filled:not(.b-input):hover::before,
.b-white:not(.b-input):hover::before {
  height: 100%;
  border-radius: 0%;
}

.b-black:not(.b-input):hover,
.b-blue:not(.b-input):hover,
.b-yellow:not(.b-input):hover {
  color: white !important;
}

.button:active {
  transform: scale(0.99);
}
/* ________ */

.page__image-container {
  overflow: hidden;
  opacity: 0;
}

.page__image {
  object-fit: cover;
  /* aspect-ratio: 1/1; */
  width: 100%;
  height: 100%;
  transition: all 0.3s cubic-bezier(0, 0.5, 0.5, 1.3);
}

.page__image:hover,
.page__image:active {
  transform: scale(1.1);
}

.social-activities-page {
  padding-right: 17px;
  font-size: 16px;
  /*font-size: 62.5%;*/
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  gap: 17px;
}

.social-activities-page img {
  max-width: 100%;
  max-height: 100%;
  object-fit: cover;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__logo-link {
  display: block;
  width: 152px;
  line-height: 0;
}

/* intro section */

.intro {
  position: relative;
  display: flex;
  justify-content: flex-end;
  padding: 15rem 3.5rem;
  margin-top: 20px;
}

.intro__container {
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  max-width: 50rem;
}
.intro__title {
  margin-bottom: 3rem;
}
.intro__title,
.intro__text {
  color: var(--text-white);
  text-align: right;
}

.intro > img,
.intro > picture  {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}


/* initiatives section */

.initiatives,
.charity,
.eco {
  display: flex;
  gap: var(--default-gap);
  position: relative;
}

.initiatives__img,
.eco__img {
  position: sticky;
  top: 94px;
  height: calc(100vh - 111px);
  align-self: flex-start;
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.initiatives__content,
.eco__content {
  flex: 2;
  display: grid;
  grid-template-columns: 1fr 0.7fr 0.7fr;
  grid-template-rows: repeat(3, auto);
  gap: 0.5rem;
}

.initiatives__item {
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  gap: var(--default-gap);
  padding: 2.5rem 3.3rem;
  background-color: var(--bg-grey);
}

.initiatives__icon,
.charity__icon {
  align-self: flex-start;
}

.initiatives__btn {
  align-self: flex-start;
}

.initiatives__item.--item-1 {
  grid-area: 1 / 1 / 2 / 4;
}
.initiatives__item.--item-2 {
  grid-area: 2 / 1 / 3 / 2;
}
.initiatives__item.--item-3 {
  grid-area: 2 / 2 / 3 / 4;
}
.initiatives__item.--item-4 {
  grid-area: 3 / 1 / 4 / 2;
}
.initiatives__item.--item-5 {
  background-color: var(--bg-yellow);
  grid-area: 3 / 2 / 4 / 4;
  justify-content: space-between;
}

@media screen and (max-width: 460px) {
  .initiatives__content {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(5, minmax(200px, auto));
  }
  .initiatives__item.--item-1 {
    grid-area: auto;
  }
  .initiatives__item.--item-2 {
    grid-area: auto;
  }
  .initiatives__item.--item-3 {
    grid-area: auto;
  }
  .initiatives__item.--item-4 {
    grid-area: auto;
  }
  .initiatives__item.--item-5 {
    background-color: var(--bg-yellow);
    grid-area: auto;
    justify-content: space-between;
  }
}

/* eco section */

.eco__content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto 1fr 1.5fr 1fr auto;
  gap: 0.5rem;
}

.eco__item:not(.eco__item.--item4) {
  padding: 2.5rem 3.3rem;
  background-color: var(--bg-light-green);
}

.eco__item.--item1 {
  grid-area: 1 / 1 / 2 / 3;
}
.eco__item.--item2 {
  grid-area: 2 / 1 / 3 / 2;
}
.eco__item.--item3 {
  position: relative;
  z-index: 0;
  grid-area: 2 / 2 / 3 / 3;
}

.eco__item.--item3::before {
  content: "";
  z-index: -1;
  position: absolute;
  display: block;
  background-color: var(--bg-light-green);
  width: 100%;
  top: 0;
  bottom: 0;
  right: 10%;
  -moz-transform: skew(-7deg, 0deg);
  -webkit-transform: skew(-7deg, 0deg);
  -o-transform: skew(-7deg, 0deg);
  -ms-transform: skew(-7deg, 0deg);
  transform: skew(-7deg, 0deg);
  border-left: 0.5rem solid #fff;
}

.eco__item.--item4 {
  display: flex;
  grid-area: 3 / 1 / 4 / 2;
  position: relative;
}

.eco__item.--item5 {
  position: relative;
}

.eco__item.--item5::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 30px;
  background-size: 40px;
  background-image: radial-gradient(
    circle at 20px -10px,
    transparent 24px,
    #fff 26px
  );
}

.eco__item-img {
  width: 100%;
}

.eco__item-desc svg {
  margin-bottom: 2rem;
}

.eco__item-desc {
  position: absolute;
  padding: 2.5rem 3.3rem;
  top: 0;
  bottom: 0;
  width: 100%;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.3);
  box-sizing: border-box;
}

.eco__item.--item5 {
  grid-area: 3 / 2 / 4 / 3;
}

.eco__item.--item6 {
  position: relative;
  z-index: 0;
  /* overflow: hidden; */
  grid-area: 4 / 1 / 5 / 2;
}

.eco__item.--item6::before {
  content: "";
  z-index: -1;
  position: absolute;
  display: block;
  background-color: var(--bg-light-green);
  width: 100%;
  height: 50%;
  bottom: 65%;
  left: 0;
  -moz-transform: skew(0deg, 5deg);
  -webkit-transform: skew(0deg, 5deg);
  -o-transform: skew(0deg, 5deg);
  -ms-transform: skew(0deg, 5deg);
  transform: skew(0deg, 5deg);
  border-top: 0.5rem solid #fff;
}

.eco__item.--item7 {
  position: relative;
  grid-area: 4 / 2 / 5 / 3;
}

.eco__item.--item7::before {
  content: "";
  position: absolute;
  top: -28px;
  left: 0;
  width: 100%;
  height: 30px;
  background-size: 40px;
  background-image: radial-gradient(
    circle at 20px -10px,
    transparent 24px,
    #e9f4e0 26px
  );
}

.eco__item.--item7 svg {
  margin-bottom: 2rem;
}

.eco__item.--item8 {
  grid-area: 5 / 1 / 6 / 3;
}

@media screen and (max-width: 460px) {
  .eco__content {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(8, minmax(100px, auto));
  }
  .eco__item svg {
    display: block;
    width: auto;
    height: 2.5em;
  }
  .eco__item.--item3::before {
    position: static;
    -moz-transform: none;
    -webkit-transform: none;
    -o-transform: none;
    -ms-transform: none;
    transform: none;
  }
  .eco__item.--item4 {
    display: flex;
    position: static;
  }
  .eco__item.--item4 > .eco__item-img {
    display: none;
  }
  .eco__item.--item4 .eco__item-desc {
    position: static;
    background-color: var(--bg-light-green);
  }
  .eco__item.--item4 .eco__item-desc svg {
    filter: invert(1);
  }
  .eco__item.--item4 .eco__item-desc p {
    color: #000;
  }


  .eco__item.--item5 {
    position: static;
  }
  
  .eco__item.--item5::after {
    position: static;
    background-image: none;
  }

  .--item5 span > svg {
    display: none;
  }

  .eco__item.--item6 {
    position: static;
  }
  .eco__item.--item6::before {
    position: static;
    border: 0;
    height: inherit;
  }

  .eco__item.--item7 {
    position: static;
  }

  .eco__item.--item7::before {
    display: none;
  }

  .eco__item:not(.eco__item.--item4) {
    background-color: var(--bg-light-green);
  }

  .eco__item.--item1,
  .eco__item.--item2,
  .eco__item.--item3,
  .eco__item.--item4,
  .eco__item.--item5,
  .eco__item.--item6,
  .eco__item.--item7,
  .eco__item.--item8 {
    grid-area: auto;
  }
}

@media screen and (max-width: 360px) {
.eco__item > .text__h2 {
  font-size: 2.5rem;
}
}

/* charity section */

.charity__img {
  position: relative;
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 0.5rem;
}

.charity__img > div:first-child {
  flex: 2;
}

.charity__img > div:last-child {
  flex: 1;
}

.charity__content,
.book {
  flex: 2;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.charity__items,
.book__items {
  display: flex;
  flex: 1;
  gap: 0.5rem;
}

.charity__item,
.book__item {
  flex: 1;
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  gap: var(--default-gap);
  padding: 2.5rem 3.3rem;
  background-color: var(--bg-grey);
}

.charity__item img {
  max-height: 6rem;
  width: fit-content;
  height: 100%;
  object-fit: contain;
}

/* horse section */
.horse {
  display: flex;
  align-items: stretch;
}

.horse__content {
  position: relative;
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 3.5rem 3.3rem;
  gap: var(--default-gap);
  background-color: var(--bg-horse);
}

.horse__content::after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 100%;
  width: 20%;
  content: "";
  background: rgb(220, 235, 248);
  background: linear-gradient(
    90deg,
    rgba(220, 235, 248, 1) 0%,
    rgba(255, 255, 255, 0) 100%
  );
}

.horse__img {
  flex: 2;
  display: flex;
  align-items: stretch;
}

/* book section */

.book__item.--yellow {
  overflow: hidden;
  position: relative;
  background-color: var(--bg-yellow);
}
.book__item.--yellow-books {
  gap: unset;
  position: absolute;
  right: 3rem;
  background: transparent;
  transform: translateY(50%);
  animation: 10s booksUp linear infinite;
}

@keyframes booksUp {
  0% {
    transform: translateY(-14%);
  }
  100% {
    transform: translateY(-60%);
  }
}

.book__list {
  display: flex;
  flex-direction: column;
  gap: var(--default-gap);
}

.book__list-item {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.book__list-item > svg {
  max-width: 2rem;
  width: 100%;
  /* top: -0.3rem; */
}

.banner {
  display: flex;
  flex-direction: column;
  gap: 1.7rem;
  align-items: center;
  padding: 14rem 2rem;
  background: linear-gradient(45deg, #3582ba, #edeced);
}

.banner__title {
  text-align: center;
  max-width: 60rem;
}

@media screen and (max-width: 700px) {
  html {
    font-size: 58%;
  }

  .intro {
    padding: 2.5rem 3.3rem;
  }

  .intro h1 {
    font-size: 4rem;
  }

  .intro .text__18 {
    font-size: 1.3rem;
  }

  .eco .text__81 {
    font-size: 3rem;
  }
  .book__list {
    padding-left: 0;
  }
  section,
  .charity__items,
  .book__items {
    flex-direction: column;
  }

  .horse__content::after {
    display: none;
  }

  .initiatives__img,
  .eco__img {
    position: unset;
    width: 100%;
  }

  .book__item.--yellow-books {
    opacity: 0.2;
  }
}
@media screen and (max-width: 410px) {
  
  .intro h1 {
    font-size: 3.5rem;
  }
}
@media screen and (max-width: 340px) {
  .intro h1 {
    font-size: 3rem;
  }
}
 /* Visit section */

.visit__content__wrapper {
  display: flex;
}

.visit__content {
  flex: 1;
  margin-right: 18px;
  padding: 35px 30px 48px 29px;
  background-color: #F0EECE;
  box-sizing: border-box;
}



.visit__content > h2 {
  font-size: 32px;
}

.visit__gallery {
  flex: 2.5;
  display: grid;
  align-items: stretch;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 8px;
}
.visit__gallery > div {
  height: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;
}
.visit__gallery > div:nth-child(1) {
  grid-column: 1 / 3;
  grid-row: 1 / 3;
}

.visit__gallery > div > picture {
  width: 100%;
  height: 100%;
}

.visit__description__wrapper {
  display: flex;
}

.visit__description {
  flex: 3;
  margin-right: 17px;
  padding-left: 33px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #EDECED;
  box-sizing: border-box;
}

.visit__description > p {
  margin: 0;
}

.visit__facebook {
  flex: 1;
  padding: 36px 43px 33px 38px;
  background-color: #F0EECE;
  box-sizing: border-box;
}

.visit__facebook > p {
  color: #4469AD;
}

.btn__group {
  display: flex;
}

.btn__group > button {
  border: 0;
  border-radius: 3px;
  box-sizing: border-box;
  cursor: pointer;
}

.like__btn {
  margin-right: 7px;
  padding-left: 22px;
  color: #fff;
  background-color: #1978F2;
}

.share__btn {
  padding: 5px 7px;
  color: #fff;
  background-color: #1978F2;
}

.like__btn > a,
.share__btn > a {
  color: #fff;
  text-decoration: none;
}

@media screen and (min-width: 1600px) {
  .visit__gallery {
    grid-template-rows: repeat(2, 350px);
  }
}

@media screen and (min-width: 1440px) {
  .visit__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}

@media screen and (max-width: 980px) {
  .visit__content__wrapper {
    flex-direction: column;
  }
  .visit__content {
    margin-right: 0;
    margin-bottom: 18px;
  }
  .visit__gallery {
    grid-template-rows: repeat(2, 200px);
  }
}

@media screen and (max-width: 680px) {
  .visit__description__wrapper {
    flex-direction: column;
  }
  .visit__description {
    flex: 1;
    margin-right: 0;
    margin-bottom: 17px;
    padding: 35px 0 45px 33px;
  }
}

@media screen and (max-width: 480px) {
  .visit__gallery {
    flex: 1;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(4, 200px);
  }
  .banner {
    padding: 3rem 2rem;
  }
}

/* promoting section */

.promoting {
  display: flex;
  gap: 17px;
}

.promoting__card {
  position: relative;
  flex: 1;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.promoting__card > img,
.promoting__card > picture {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.promoting__content__wrapper {
  position: relative;
  z-index: 2;
  padding: 30px 20px;
  box-sizing: border-box;
  color: #fff;
}

.promoting__content__wrapper > h3 {
  font-size: 27px;
}

.promoting__content__wrapper > a {
  text-transform: capitalize;
  margin-top: 43px;
  color: #fff;
  border-color: #fff;
}

.promoting__content__wrapper > a:hover {
  border-color: #000;
}

.promoting__card .promoting__content__wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  min-height: 300px;
  backdrop-filter: blur(2px);
  background-color: rgba(172, 172, 172, 0.44);
}